clear all
close all
clc

M = 5;  %pocet mikrofonu
f = 2000;   %frekvence
alfa = 90*(pi/180); %uhel
c = 343;    %rychlost zvuku
d = 0.07;   %roztec pole
N = 2000;   %pocet bodu

psi = linspace(0,pi,N);
psiStupne = (psi*180/pi)';
A = zeros(1,N);

for i=1:N
    A(i)=abs( (sin((M*2*pi*f*d*(cos(psi(i)) - cos(alfa)))/c)) / (M*sin(2*pi*f*d*(cos(psi(i)) - cos(alfa))/c)) );
end

maxA = max(A);
pomerA = A./maxA;
AdB = 20*log10(pomerA);
AdB=AdB';

polar(psi,A)
% title('\bfPřijímací charakteristika mikrofonního pole','Fontname','MS Sans Serif');

figure(2)
plot(psiStupne,AdB)
set(gca,'ylim',[-35 0])
% title('\bfPřijímací charakteristika mikrofonního pole','Fontname','MS Sans Serif');
xlabel('{\it{\psi}}  [°]  \rightarrow')
ylabel('{\it{K(\psi,\alpha)}}  [dB]  \rightarrow')